<?php
/**
 * escn-ajax.php
 *
 * @package Electric Studio Cookie Notice
 */

// Create the function that builds the markup for the AJAX request.
function escn_cookie_notice_markup () { ?>
	<?php
	// Check the nonce.
	check_ajax_referer( escn_config( 'nonce_name' ) );
	// Get any saved data.
	$options 	= get_option( escn_config( 'settings_name' ) );
	$title 		= trim( $options['escn_title'] );
	$text 		= trim( $options['escn_text'] );
	$link 		= trim( $options['escn_page'] );
	$position 	= trim( $options['escn_position'] );
	$width 		= trim( $options['escn_max_width'] );
	$h_size 	= trim( $options['escn_heading_font_size'] );
	$t_size 	= trim( $options['escn_text_font_size'] );
	$bg_color 	= trim( $options['escn_bg_color'] );
	$t_color 	= trim( $options['escn_text_color'] );
	$btn_bg 	= trim( $options['escn_button_bg_color'] );
	$btn_text 	= trim( $options['escn_button_text_color'] );
	$scroll 	= trim( $options['escn_scroll'] );


	if( $width == "100" ) {
		$width = $width . '%';
	} else {
		$width = $width . 'px';
	}

	if( empty($h_size) ) {
		$h_size = '18';
	}

	if( empty($t_size) ) {
		$t_size = '14';
	}

	if( !empty( $link ) && is_numeric( $link ) ) { ?>
		<?php
		$button = ' <a style="color:' . $t_color . '; font-size: ' . $t_size . 'px" class="escn-find-out" href="' . get_permalink( $link ) . '" title="' . sprintf( '%s', 'Find out more' ) . '" target="_blank">' . sprintf( '%s', 'Find out more' ) . '</a>';
		$text .= $button;
	}
	?>
		<div class="escn-inner clearfix" data-scroll="<?php echo $scroll ?>" data-background="<?php echo $bg_color; ?>" id="escn-position-<?php echo $position; ?>" style="max-width: <?php echo $width ?>;  color: <?php echo $t_color; ?>">
			<div class="escn-title">
				<h2 style="font-size: <?php echo $h_size . 'px'; ?>; color: <?php echo $t_color ?>;">
					<?php
						// Check to see if a new title has been uploaded.
						if( !empty( $title ) ) {
							printf( '%s', $title );

						// If not, default to the escn_config( 'title' ) part.
						} else {
							printf( '%s', escn_config( 'title' ) );
					} ?>
				</h2>
			</div>
			<div class="escn-text" style="font-size: <?php echo $t_size . 'px' ?>; color: <?php echo $t_color ?>;?>">
				<?php
				// Check to see if any text has been uploaded.
				if( !empty( $text ) ) {
					printf( '%s', wpautop( $text ) );
				}
				// If not, default to the escn_config( 'text' ) part.
				else {
					printf( '%s', wpautop( escn_config( 'text' ) ) );
				} ?>

			</div>
			<div class="escn-links">
				<button class="button" href="#" id="escn-continue" style="<?php if(!empty($btn_bg) ) { ?> background-color: <?php echo $btn_bg ?>; <?php } ?><?php if(!empty($btn_text) ) { ?> color: <?php echo $btn_text ?><?php } ?>"><?php printf( '%s', 'Continue' ); ?></button>
			</div>
		</div>
	<?php
	// Lets exit the function.
	die();
}

if( is_admin() ) {
	add_action( 'wp_ajax_escn_cookie_notice', 'escn_cookie_notice_markup' );
}
add_action( 'wp_ajax_nopriv_escn_cookie_notice', 'escn_cookie_notice_markup' );
